OpenNMS API 1.2.9

## org.opennms.protocols.snmp.asn1
Class AsnEncodingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.opennms.protocols.snmp.asn1.AsnEncodingException

All Implemented Interfaces:
  java.io.Serializable

public class AsnEncodingException
extends java.lang.Exception

The AsnEncodingException is generated whenever an error occurs in ASN.1 encoding of data types. The errors are generally buffer overflow errors.

Version:
  1.1.1.1
Author:
  Brian Weaver
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`AsnEncodingException()` The default exception constructor
`AsnEncodingException(java.lang.String why)` The exception constructor

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AsnEncodingException

    public AsnEncodingException()

  The default exception constructor

### AsnEncodingException

    public AsnEncodingException(java.lang.String why)

  The exception constructor

Parameters:
  `why` - The reason the exception is being raised

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.